|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QWebHistory Class Reference
[QtWebKit module]

The QWebHistory class represents the history of a QWebPage More...

     #include <QWebHistory>

This class was introduced in Qt 4.4.

- List of all members, including inherited members

### Public Functions

- void back ()
- QWebHistoryItem backItem () const
- QList<QWebHistoryItem> backItems ( int maxItems ) const
- bool canGoBack () const
- bool canGoForward () const
- void clear ()
- int count () const
- QWebHistoryItem currentItem () const
- void forward ()
- QWebHistoryItem forwardItem () const
- QList<QWebHistoryItem> forwardItems ( int maxItems ) const
- void goToItem ( const QWebHistoryItem & item )
- QWebHistoryItem itemAt ( int i ) const
- QList<QWebHistoryItem> items () const

## Detailed Description

The QWebHistory class represents the history of a QWebPage

Each QWebPage contains a history of visited pages that can be accessed by QWebPage::history(). QWebHistory represents this history and makes it possible to navigate it.

## Member Function Documentation

### void QWebHistory::back ()

goes back one history item.

### QWebHistoryItem QWebHistory::backItem () const

returns the item before the current item.

### QList<QWebHistoryItem> QWebHistory::backItems ( int maxItems ) const

Returns the list of items that are in the backwards history. At most maxItems entries are returned.

### bool QWebHistory::canGoBack () const

returns true if we have an item to go back to.

### bool QWebHistory::canGoForward () const

returns true if we have an item to go forward to.

### void QWebHistory::clear ()

Clears the history.

### int QWebHistory::count () const

Returns the total number of items in the back-forward history.

### QWebHistoryItem QWebHistory::currentItem () const

returns the current item.

### void QWebHistory::forward ()

goes forward one history item.

### QWebHistoryItem QWebHistory::forwardItem () const

returns the item after the current item.

### QList<QWebHistoryItem> QWebHistory::forwardItems ( int maxItems ) const

Returns the list of items that are in the forward history. At most maxItems entries are returned.

### void QWebHistory::goToItem ( const QWebHistoryItem & item )

goes to item item in the history.

### QWebHistoryItem QWebHistory::itemAt ( int i ) const

returns the item at index i.

### QList<QWebHistoryItem> QWebHistory::items () const

returns a list of all items currently in the history.